Subject: Re: [gnome-team 0/1] Update gegl

From: Liliana Marie Prikler <[email-masked]>
Date: Tue, 12 Sep 2023 22:25:15 +0200

Am Dienstag, dem 12.09.2023 um 21:20 +0200 schrieb Vivien Kraus:
> Le mardi 12 septembre 2023 à 20:41 +0200, Liliana Marie Prikler a
> écrit :
> > Am Dienstag, dem 12.09.2023 um 19:17 +0200 schrieb Vivien Kraus:
> > > Le vendredi 08 septembre 2023 à 20:23 +0200, Liliana Marie
> > > Prikler
> > > a
> > > écrit :
> > > > Am Freitag, dem 08.09.2023 um 18:57 +0200 schrieb Vivien Kraus:
> > > > > Dear guix,
> > > > > 
> > > > > For now, the gnome-team branch cannot build gimp, because the
> > > > > gegl
> > > > > dependency does not compile. If updated, however, gegl and
> > > > > gimp
> > > > > compile fine. Should we proceed with the update?
> > > > Did you also check whether we can update GIMP to a newer
> > > > version? 
> > > > If
> > > > we can't and CI builds this, I'd still go for it.
> > > 
> > > This does not build on i686: it seems that gegl is requiring too
> > > recent
> > > a librsvg.
> > > 
> > > https://bordeaux.guix.gnu.org/build/06ead8d1-5fdd-4984-b151-9e884285c834/log
> > > 
> > > ../gegl-0.4.46/operations/external/svg-load.c: In function
> > > ‘load_svg’:
> > > ../gegl-0.4.46/operations/external/svg-load.c:101:5: error:
> > > unknown
> > > type name ‘RsvgRectangle’; did you mean ‘GeglRectangle’?
> > >   101 |     RsvgRectangle      svg_rect = {0.0, 0.0, width,
> > > height};
> > >       |     ^~~~~~~~~~~~~
> > >       |     GeglRectangle
> > > 
> > > What should I do? Keep an outdated gegl for i686?
> > You could try a local patch; if everything else fails try swapping
> > it
> > with the current implementation.
> 
> I don’t understand "try a local patch". Should I try to patch gegl so
> that it works with the older librsvg API? I’m not sure I can do that.
You could try reverting 9beeefcbe14963fd8dca638625b9e397a6ec6bc7 for a
start.

Good luck!